## ros-kinetic-rr-openrover-basic 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rr_openrover_basic)

add_compile_options(-std=c++11)
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
  message_generation
  geometry_msgs
  nav_msgs
  tf
)

add_message_files(
   FILES
   RawRrOpenroverBasicFastRateData.msg
   RawRrOpenroverBasicMedRateData.msg
   RawRrOpenroverBasicSlowRateData.msg
   SmartBatteryStatus.msg
)

generate_messages(
   DEPENDENCIES
   std_msgs
   geometry_msgs
   nav_msgs
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(odom_control src/odom_control.cpp)

add_executable(openrover_basic_node src/openrover_basic.cpp)
add_dependencies(openrover_basic_node rr_openrover_basic_generate_messages_cpp)
target_link_libraries(openrover_basic_node ${catkin_LIBRARIES} odom_control)


#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS openrover_basic_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS odom_control
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

catkin_install_python(PROGRAMS scripts/diagnostics.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

=== debian/changelog ===
ros-kinetic-rr-openrover-basic (0.7.1-2xenial) xenial; urgency=high

  * Changed default port to /dev/rover
  * Changed CMAke to install diagnostics.py

 -- Jack Kilian <jack@digilabs.io>  Mon, 24 Jun 2019 05:00:00 -0000

ros-kinetic-rr-openrover-basic (0.7.0-2xenial) xenial; urgency=high

  * Fixed issue #12
  * Added fan speed control
  * Added launch file for 2wd teleop
  * Changed default fast rate data to 10hz

 -- Jack Kilian <jack@digilabs.io>  Mon, 13 May 2019 05:00:00 -0000

ros-kinetic-rr-openrover-basic (0.6.2-2xenial) xenial; urgency=high

  * Fixed issue #13

 -- Jack Kilian <jack@digilabs.io>  Wed, 23 Jan 2019 06:00:00 -0000

ros-kinetic-rr-openrover-basic (0.6.1-2xenial) xenial; urgency=high

  * Migrated release repo from /roverrobotics to /roverrobotics-release
  * Changed rosparam slippage_factor to traction_factor
  * Changed default weight to 20.0 lbs
  * Changed default drive type to 4WD
  * Changed default closed_loop_control_on to false
  * Removed low_speed_mode

 -- Jack Kilian <jack@digilabs.io>  Thu, 13 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-basic (0.6.0-2xenial) xenial; urgency=high

  * Added ROS topic /rr_openrover_basic/battery_status_a
  * Added ROS topic /rr_openrover_basic/battery_status_b

 -- Jack Kilian <jack@digilabs.io>  Sat, 08 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-basic (0.5.1-2xenial) xenial; urgency=high

  * Added ROS topic /rr_openrover_basic/motor_speeds_commanded
  * Added ROS topic /rr_openrover_basic/charging
  * Fixed issue #8

 -- Jack Kilian <jack@digilabs.io>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-basic (0.5.0-2xenial) xenial; urgency=high

  * Added ROS param for 'odom covariances'
  * Added ROS param for 'slippage factor'
  * Added diagnostics node
  * Fixed issue #1

 -- Jack Kilian <jack@digilabs.io>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-basic (0.4.0-2xenial) xenial; urgency=high

  * Added ROS param 'drive_type'

 -- Jack Kilian <jack@digilabs.io>  Mon, 23 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-basic (0.3.0-2xenial) xenial; urgency=high

  * Added ROS topic /rr_openrover_basic/odom_encoder
  * Added 2nd maintainer to package.xml and URL to wiki

 -- Jack Kilian <jack@digilabs.io>  Thu, 19 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-basic (0.2.0-2xenial) xenial; urgency=high

  * Fixed low-speed mode turning so it has a continuous turning speed range
  * Added dependency to generate messages cpp to CMakeLists
  * updated package.xml to new format

 -- Jack Kilian <jack@digilabs.io>  Tue, 17 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-basic (0.1.0-2xenial) xenial; urgency=high

  * first public release for Kinetic

 -- Jack Kilian <jack@digilabs.io>  Tue, 10 Jul 2018 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rr-openrover-basic
Section: misc
Priority: extra
Maintainer: Jack Kilian <jack@digilabs.io>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/rr_openrover_basic
Standards-Version: 3.9.2

Package: ros-kinetic-rr-openrover-basic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-joy, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: The rr_openrover_basic package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rr-openrover-basic//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
